%% Load data, standardize columns, and add bias
load primeData.mat
[n,d] = size(X);
t = size(Xvalidate,1);

% Standardize columns
[X,mu,sigma] = standardizeCols(X);

% Perform the *same* transformation of the test data
Xvalidate = standardizeCols(Xvalidate,mu,sigma);

%% Fit linear regression model then report validation error

model = leastSquares(X,y);

yhat = model.predict(model,X);
trainingError = sum((yhat-y).^2)/n

yhat = model.predict(model,Xvalidate);
validationError = sum((yhat - yvalidate).^2)/t

%% Same as above, but with a bias variable added
model = leastSquaresBias(X,y);

yhat = model.predict(model,X);
trainingError = sum((yhat-y).^2)/n

yhat = model.predict(model,Xvalidate);
validationError = sum((yhat - yvalidate).^2)/t

